> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# プロファイルの更新

> 指定された profile オブジェクトを更新します。



## OpenAPI

````yaml 26.3/cloud/ja/api-reference/openapi.json PUT /profile
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /profile:
    put:
      tags:
        - profile
      summary: プロファイルの更新
      description: 指定された profile オブジェクトを更新します。
      operationId: updateprofile
      requestBody:
        description: 更新する profile エンティティ。
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/profile'
      responses:
        '204':
          description: profile が更新されました
          content: {}
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    profile:
      type: object
      properties:
        HeartbeatInterval:
          description: 取引先へのファイル送信などのスケジュールされたタスクをアプリケーションが実行する間隔です。
          type: integer
          format: int32
        NotifyEmail:
          description: エラーが発生したときに、指定したメールアドレスにメールを送信します。
          type: string
        NotifyEmailFrom:
          description: 通知メールの送信者です。
          type: string
        NotifyEmailTo:
          description: 通知メールの受信者です。
          type: string
        NotifyEmailSubject:
          description: 通知メールの件名です。
          type: string
        SMTPServer:
          description: SMTPサーバーのホスト名またはIPアドレスです。
          type: string
        SMTPUser:
          description: SMTPサーバーへの認証に使用するユーザー名です。
          type: string
        SMTPPassword:
          description: SMTPサーバーへの認証に使用するパスワードです。
          type: string
        SMTPPort:
          description: SMTPサーバーのポートです。
          type: string
        SMTPSSLMode:
          description: SMTPサーバーのSSLモードです。
          type: string
        SendStatusReport:
          description: ステータスレポートをメールアドレスに送信するかどうかを指定します。
          type: boolean
        SendReportInterval:
          description: ステータスレポートをメールアドレスに送信する間隔です。
          type: string
        NotifyWindowsEvent:
          description: エラーメッセージをWindowsアプリケーションイベントログに書き込むかどうかを指定します。
          type: boolean
        NotifyStopStart:
          description: アプリケーションの開始時と停止時にイベントログに記録するかどうかを指定します。
          type: boolean
        ProxyType:
          description: 接続に使用するプロキシのタイプです。
          type: string
        ProxyHost:
          description: プロキシのホスト名またはIPアドレスです。
          type: string
        ProxyPort:
          description: プロキシのポートです。
          type: string
        ProxyUser:
          description: プロキシへの認証時に使用するユーザー名です。
          type: string
        ProxyPassword:
          description: プロキシへの認証時に使用するパスワードです。
          type: string
        ProxyAuthscheme:
          description: プロキシへの認証時に使用する認証スキームです。
          type: string
        SSOClientId:
          description: IdPで作成したOAuthアプリケーションに関連付けられたclient Idです。
          type: string
        SSOClientSecret:
          description: IdPで作成したOAuthアプリケーションに関連付けられたclient secretです。
          type: string
        SSOIssuerIdentifier:
          description: IdPがJWTトークンを生成する際に使用する識別子です。
          type: string
        SSOScopes:
          description: IdPに要求するスコープ（権限のセット）のスペース区切りのリストです。
          type: string
        SSOAudienceURIs:
          description: SSOログイントークンの想定される受信者です。
          type: string
        SSOAuthorizationURL:
          description: ユーザーがIdPを介して認可を実行するURLです。
          type: string
        SSOTokenURL:
          description: IdPからセキュアな認証トークンを取得できるURLです。
          type: string
        SSOLogoffURL:
          description: Arcユーザーがアプリケーションからログアウトした後にリダイレクトされる先を指定します。
          type: string
        SSOIssuerCertificate:
          description: IdPがJWTトークンの署名に使用する証明書の公開部分です。
          type: string
        SSOKeyClaim:
          description: federation Idとして扱うIdPからの値です。
          type: string
        SSOTokenSignatureAlgorithm:
          description: 署名付きJWTトークンで受け入れる署名アルゴリズムを指定します。署名されていないトークンは受け入れられません。
          type: string
        SSOResponseMode:
          description: カスタムIDプロバイダーからAzureにデータを送信する際に使用するメソッドです。
          type: string
        SSOType:
          description: SSOのタイプ（OIDCまたはSAML）です。
          type: string
        SSOEnabled:
          description: シングルサインオン（SSO）が有効かどうかを示します。
          type: string
        SSOEnableJITProvisioning:
          description: SSOユーザーのJust-In-Time（JIT）プロビジョニングが有効かどうかを示します。
          type: string
        SSODefaultRole:
          description: 特にJITプロビジョニングが有効な場合に、SSOを介して作成または認証されたユーザーに割り当てられるデフォルトのロールを指定します。
          type: string
        SyslogEnable:
          description: SysLogサーバーへのログ送信を有効にします。
          type: string
        SyslogRemoteHost:
          description: SysLogサーバーのリモートホストです。
          type: string
        SyslogRemotePort:
          description: SysLogサーバーのリモートポートです。
          type: string
        SyslogProtocol:
          description: sysLogサーバーにログを送信するためのプロトコル（tcpまたはudp）です。
          type: string
        SysLogEnabledLogs:
          description: サポートされるログタイプを含むカンマ区切りのリストです。
          type: string
        SysLogSSLEnabled:
          description: SysLog接続でSSLを有効にするかどうかを指定します。
          type: string
        SysLogSSLAcceptServerCert:
          description: 指定した証明書と一致するサーバー証明書を無条件に受け入れるようArcに指示します。
          type: string
        SysLogVersion:
          description: CEFフォーマットのバージョンの識別子（0または1）です。
          type: string
        SysLogFacility:
          description: 0から23までの値で、各値はシステムの異なる部分を表します。
          type: string
        SysLogMessageFormat:
          description: >-
            メッセージフォーマットです。Common Event Format（CEF）、Structured Data（SysLogVersion
            = 1 の場合のみ）、またはJSONをサポートします。
          type: string
        uitimeformat:
          description: 時刻フォーマットの表示設定を選択します。
          type: string
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````